DevToolPal
FR

Vérificateur de syntaxe d'adresses e-mail

Vérifiez la syntaxe d'adresses e-mail en masse, repérez les fautes de frappe de domaine et retirez les doublons. Format seul, sans test de boîte.

Traitement local, rien n'est envoyé

Options

Afficher

Adresses e-mail (une par ligne)

0 caractères · 0 B

Vérification de syntaxe

Le résultat s'affiche ici

À quoi ça sert

Cet outil vérifie que des adresses e-mail sont correctement écrites. Collez une adresse ou une liste entière : chacune est marquée valide ou invalide avec la raison, comme un @ manquant, deux points consécutifs, un domaine sans point ou un caractère non autorisé. C’est utile pour nettoyer une liste de diffusion avant un import, vérifier les règles de saisie d’un formulaire ou trouver la ligne défectueuse dans un export CSV.

L’outil vérifie uniquement le format. Il ne contacte aucun serveur de messagerie et ne peut donc pas savoir si la boîte existe ou accepte du courrier.

Mode d’emploi

  1. Collez les adresses dans le champ de saisie, une par ligne. Les virgules et points-virgules fonctionnent aussi comme séparateurs : vous pouvez coller directement une ligne To:.
  2. Les résultats s’affichent pendant la saisie, avec un résumé du nombre d’adresses valides et invalides.
  3. Utilisez Afficher pour lister toutes les adresses, seulement les valides ou seulement les invalides. Supprimer les doublons retire les répétitions ; le domaine est comparé sans tenir compte de la casse.
  4. Cliquez sur Copier les valides pour copier la liste nettoyée, une adresse par ligne.

Les noms d’affichage sont aussi gérés : Bob Smith <bob@example.com> est vérifié comme bob@example.com, avec une note indiquant que le nom a été supprimé.

Ce qui est vérifié

  • Exactement un @ (hors guillemets), avec quelque chose de chaque côté.
  • L’adresse entière fait au plus 254 caractères, et la partie avant @ au plus 64.
  • La partie locale utilise des caractères autorisés, sans point au début, à la fin ou en double. Les parties locales entre guillemets comme "john doe"@example.org sont acceptées avec un avertissement.
  • Le domaine a au moins deux labels, chacun de 1 à 63 caractères (lettres, chiffres et tirets), sans tiret au début ni à la fin, et un domaine de premier niveau plausible. Les adresses IP littérales comme admin@[192.168.0.1] sont acceptées avec un avertissement.
  • Les fautes d’orthographe courantes des domaines populaires, comme gmial.com ou qq.con, donnent lieu à une suggestion « Vouliez-vous dire ».

Exemple

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

FAQ

› L'outil vérifie-t-il que la boîte de réception existe ?

Non. Il s'agit uniquement d'une vérification de syntaxe. L'outil ne cherche pas les serveurs de messagerie du domaine et ne les contacte pas : une adresse peut donc passer ici et quand même être rejetée. Confirmer une boîte nécessite un serveur, et le seul test fiable consiste à envoyer un e-mail de confirmation.

› Les adresses sont-elles envoyées sur un serveur ?

Non. Chaque vérification s'exécute dans votre navigateur : vos listes de diffusion ne quittent jamais votre appareil.

› Quelles règles l'outil suit-il ?

La syntaxe d'adresse des RFC 5321 et RFC 5322, plus les adresses internationalisées de la RFC 6531. Les formes obsolètes comme les commentaires dans les adresses sont refusées, car presque aucun système de messagerie ne les accepte.

› Pourquoi une adresse valide est-elle marquée d'un avertissement ?

Certaines adresses sont légales mais risquées : une faute de frappe probable comme gmial.com, une adresse IP au lieu d'un domaine, une partie locale entre guillemets, ou des caractères non ASCII que certains serveurs refusent. L'adresse reste comptée comme valide.